Skip to content
Snippets Groups Projects
Commit 8fd64424 authored by Pietro Incardona's avatar Pietro Incardona
Browse files

Adding wget solution in prerequisites

parent b3e088a0
No related branches found
No related tags found
No related merge requests found
......@@ -40,6 +40,23 @@ if [ x"$platform" = x"osx" -a x"$pcman" = x"" ]; then
echo -e "\033[93;5;1m WARNING \033[0m No package manager has been found on this system"
fi
command -v wget >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo >&2
echo -e "wget\033[91;5;1m FAILED \033[0m"
echo "OpenFPM require wget but it's not installed, searching a solution... "
script/solve_wget $platform
command -v wget >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo -e "wget\033[91;5;1m FAILED \033[0m"
exit 1
else
echo -e "wget\033[92;1m SUCCESS \033[0m"
fi
else
echo -e "wget\033[92;1m SUCCESS \033[0m"
fi
command -v git >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo >&2
......
File mode changed from 100644 to 100755
#! /bin/bash
source script/show_solutions
source script/discover_package_manager
discover_package_manager $1
pcman=$discover_package_manager_ret
if [ x"$pcman" = x"" ]; then
exit 1
fi
if [ x"$1" = x"osx" ]; then
commands[0]="$pcman install wget"
possible_solutions "${commands[@]}"
echo "Executing: ${command[$possible_solutions_ret]}"
eval ${commands[$possible_solutions_ret]}
elif [ x"$1" = x"linux" ]; then
commands[0]="su -c \"$pcman install wget\""
commands[1]="sudo $pcman install wget"
possible_solutions "${commands[@]}"
echo "Executing: ${command[$possible_solutions_ret]}"
eval ${commands[$possible_solutions_ret]}
fi
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment